LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XUIFunctionListener Interface Reference

special interface to receive notification that a user interface element will execute a function. More...

`import"XUIFunctionListener.idl";`

Inheritance diagram for XUIFunctionListener:

## Public Member Functions
void | functionExecute ([in] string aUIElementName, [in] string aCommand)
| gets called to notify a component that a user interface element wants to execute a function. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

special interface to receive notification that a user interface element will execute a function.

Since
  OOo 2.0

## Member Function Documentation

## ◆ functionExecute()

void functionExecute | ( | [in] string | aUIElementName,
|  | [in] string | aCommand
| ) |  |

gets called to notify a component that a user interface element wants to execute a function.

Parameters

  aUIElementName | a string which identifies the user interface element that wants to execute a function.
  aCommand | a string which identifies the function that has been selected by a user.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XUIFunctionListener.idl